#
# spec file for package package-translations
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           package-translations
Version:        1.0
Release:        5.1
Summary:        Summary and Descriptions Translations
License:        BSD-3-Clause
Group:          System/GUI/Other
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        package-translations.tar.bz2
Source1:        translate_packages.pl
Source2:        generate-pot.sh
Source3:        create_macros
Source99:       PREPARE_PACKAGE
BuildArch:      noarch
Requires:       perl-gettext

%description 
This package provides translations for our packages. You don't want to install this
package on your system, it's only useful when you create openSUSE media.

%prep
%setup -q -c %name

%build

%install
mkdir -p $RPM_BUILD_ROOT/usr/share/locale/en_US/LC_MESSAGES
cp -a mo/* $RPM_BUILD_ROOT/usr/share/locale/en_US/LC_MESSAGES
install -D -m 755 %{SOURCE1} $RPM_BUILD_ROOT/usr/bin/translate_packages.pl
install -D %{SOURCE3} $RPM_BUILD_ROOT%{_datadir}/%{name}/create_macros

%files
%defattr(-,root,root)
%lang(en) /usr/share/locale/en_US/LC_MESSAGES/*
/usr/bin/translate_packages.pl
%{_datadir}/%{name}

%changelog
* Thu Sep 18 2014 <fcrozat@suse.com>
- automated update on 2014-09-18
  from lcn repository for SLE12.
- Update scripts to package also patterns translations for
  languages not part of lcn.
* Mon Aug 25 2014 fcrozat@suse.com
- automated update on 2014-08-25
- Update PREPARE_PACKAGE to use new svn url and support patterns
  from lcn repository for SLE12.
* Wed Aug 13 2014 fcrozat@suse.com
- Package generate-pot.sh and create_macros, to ease patterns
  translation.
* Tue Oct 29 2013 coolo@suse.com
- manual update for 13.1
* Tue Jul  9 2013 <coolo@suse.com>
- automated update on 2013-07-09
* Fri Oct 28 2011 coolo@suse.com
- insert EULAs into the suse tags
* Thu Oct 27 2011 coolo@suse.com
- automated update on 2011-10-27
* Tue Oct 11 2011 coolo@suse.com
- update .changes file and skip non-existant changes
* Wed Aug 31 2011 coolo@suse.com
- update translations
* Fri May 27 2011 ke@suse.de
- Update translations.
* Sat May 29 2010 coolo@novell.com
- fix the PREPAPRE_PACKAGE script
* Fri May 28 2010 coolo@novell.com
- make sure we create utf-8 output
- update translations
* Wed Oct 28 2009 coolo@novell.com
- require perl-gettext
* Wed Oct 28 2009 coolo@novell.com
- fix build
* Mon Oct 26 2009 coolo@novell.com
- initial package
